function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $setup, $props } from "@dftvue2-opentiny/vue-common";
import PcTemplate from "./pc.js";
import MobileFirstTemplate from "./mobile-first.js";
import "@dftvue2-opentiny/vue-theme/tag/index.css";
var template = function template2(mode) {
  if ("pc" === (process.env.TINY_MODE || mode)) {
    return PcTemplate;
  }
  if ("mobile-first" === (process.env.TINY_MODE || mode)) {
    return MobileFirstTemplate;
  }
  return PcTemplate;
};
var tagProps = _extends({}, $props, {
  hit: Boolean,
  text: String,
  type: String,
  theme: String,
  size: String,
  color: String,
  closable: Boolean,
  operable: Boolean,
  disabled: Boolean,
  selectable: Boolean,
  customClass: {
    type: String,
    default: ""
  },
  effect: {
    type: String,
    default: "light",
    validator: function validator(value) {
      return Boolean(~["dark", "light", "plain"].indexOf(value));
    }
  },
  beforeDelete: Function,
  value: [Number, String]
});
var Tag = defineComponent({
  name: $prefix + "Tag",
  props: tagProps,
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "2.8.0";
Tag.install = function(Vue) {
  Vue.component(Tag.name, Tag);
};
Tag.version = version;
export {
  Tag as default
};
